KDE 4.5 PyKDE API Reference

- KDE's Python API

# GeoGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Namespace: Marble.GeoGraphicsItem

## Detailed Description

## Enumerations

GeoGraphicsItemFlag | { NoOptions, ItemIsMovable, ItemIsSelectable, ItemIsVisible }

## Methods

| __init__ (self)
Marble.GeoDataCoordinates | coordinate (self)
Marble.GeoGraphicsItem.GeoGraphicsItemFlags | flags (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
int | maxLodPixels (self)
int | minLodPixels (self)
[QPointF] | positions (self)
| setCoordinate (self, float longitude, float latitude, float altitude=0)
| setCoordinate (self, Marble.GeoDataCoordinates point)
| setFlag (self, Marble.GeoGraphicsItem.GeoGraphicsItemFlag flag, bool enabled=1)
| setFlags (self, Marble.GeoGraphicsItem.GeoGraphicsItemFlags flags)
| setLatLonAltBox (self, Marble.GeoDataLatLonAltBox latLonAltBox)
| setMaxLodPixels (self, int pixels)
| setMinLodPixels (self, int pixels)
| setTarget (self, QString target)
QString | target (self)

## Method Documentation

__init__ | ( |  | self ) |

Marble.GeoDataCoordinates coordinate | ( |  | self ) |

Return the coordinate of the item as longitude and latitude.

Marble.GeoGraphicsItem.GeoGraphicsItemFlags flags | ( |  | self ) |

Get the GeoGraphicItemFlags value that describes which flags are set on this item.

See also:
  QFlags

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

Returns the box that is used to determine if an item is active or inactive.

int maxLodPixels | ( |  | self ) |

Returns the maximum number of pixels the GeoGraphicsItem has to be projected on for this item to be considered as active. -1 would mean no maximum number of pixels which is also the standard value.

int minLodPixels | ( |  | self ) |

Returns the minimum number of pixels the GeoGraphicsItem has to be projected on for this item to be considered as active. 0 would mean no minimum number of pixels which is also the standard value.

[QPointF] positions | ( |  | self ) |

Returns all coordinates of the item in view coordinates according to the given projection.

setCoordinate | ( | self, |
|  | float | longitude,
|  | float | latitude,
|  | float | altitude=0
| ) |  |  |

Set the coordinate of the item with an GeoDataPoint.

setCoordinate | ( | self, |
|  | Marble.GeoDataCoordinates | point
| ) |  |  |

Set the coordinate of the item with an GeoDataPoint.

setFlag | ( | self, |
|  | Marble.GeoGraphicsItem.GeoGraphicsItemFlag | flag,
|  | bool | enabled=1
| ) |  |  |

Set or unset a single flag

Parameters:

  | enabled | sets if the flag is to be set or unset

setFlags | ( | self, |
|  | Marble.GeoGraphicsItem.GeoGraphicsItemFlags | flags
| ) |  |  |

Replace all of the current flags.

Parameters:

  | flags | is the new value for this item's flags.

setLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | latLonAltBox
| ) |  |  |

Set the box used to determine if an item is active or inactive. If an empty box is passed the item will be shown in every case.

setMaxLodPixels | ( | self, |
|  | int | pixels
| ) |  |  |

Sets the maximum number of pixels the GeoGraphicsItem has to be projected on for this item to be considered as active.

setMinLodPixels | ( | self, |
|  | int | pixels
| ) |  |  |

Sets the minimum number of pixels the GeoGraphicsItem has to be projected on for this item to be considered as active.

setTarget | ( | self, |
|  | QString | target
| ) |  |  |

Set the target of the item with target.

QString target | ( |  | self ) |

Get the target of the item. The target is the current planet string.s

## Enumeration Documentation

GeoGraphicsItemFlag

Enumerator:

  NoOptions = 0x0 |
  ItemIsMovable = 0x1 |
  ItemIsSelectable = 0x2 |
  ItemIsVisible = 0x4 |